Google Web Toolkit
Search Google Code:

# Class JPackage

public class JPackage
extends Object
Represents a logical package.

## Methods

findType(String) |
findType(String[]) |
getName() |
getType(String) |
getTypes() |
isDefault() |
toString() |

## Method Detail

### findType

public JClassType findType(String typeName)

#### Parameters

typeName

### findType

public JClassType findType(String[] typeName)

#### Parameters

typeName

### getName

public String getName()

### getType

public JClassType getType(String typeName)
throws NotFoundException

#### Parameters

typeName

### getTypes

public JClassType[] getTypes()

### isDefault

public boolean isDefault()

### toString

public String toString()